Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: hmi::InternalBeeper Interface Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | List of all members
hmi::InternalBeeper Interface Reference

Internal beeper interface. More...

`import <InternalBeeper.idl;`

## Classes
struct | MuteChangedEvent
| Event: The beeper has been muted or unmuted. More...
struct | StateChangedEvent
| Event: The beeper activation status has changed. More...

## Public Types
enum | State { OFF , ON_NOTIFICATION , ON_ACTIVATION }
| Activation state. More...

## Public Member Functions
void | mute (in boolean muted)
| Mute beeper, turn off all internal alarm notifications.
boolean | isMuted ()
| Check whether beeper is currently muted.
void | activate (in boolean on, in string reason, in int timeout)
| Activate the beeper for a given time.
State | getState (out string reason, out boolean mutedTemporarily)
| Retrieve the current beeper activation state.
void | muteCurrentActivation ()
| Mute the beeper for the current activation.

## Detailed Description

Internal beeper interface.

Definition at line 15 of file InternalBeeper.idl.

## Member Enumeration Documentation

## ◆ State

enum hmi::InternalBeeper::State

Activation state.

Enumerator
OFF | Beeper is currently off.
ON_NOTIFICATION | Beeper is currently active due to an internal alarm notification.
ON_ACTIVATION | Beeper is currently active due to an external activation.

Definition at line 17 of file InternalBeeper.idl.

## Member Function Documentation

## ◆ activate()

void hmi::InternalBeeper::activate | ( | in boolean | on,
|  | in string | reason,
|  | in int | timeout )

Activate the beeper for a given time.

Parameters

  activate | Whether to turn on or off the beeper
  reason | Description of the reason to turn on the beeper (only valid whtn turning on the beeper)
  timeout | Activation timeout in milliseconds (only valid when turning on the beeper, 0 = infinite activation)

## ◆ getState()

State hmi::InternalBeeper::getState | ( | out string | reason,
|  | out boolean | mutedTemporarily )

Retrieve the current beeper activation state.

Parameters

  reason | Return value for activation reason if the beeper is currently active
  mutedTemporarily | Whether the beeper is currently muted due to a call to `muteCurrentActivation`.

Returns
  The current beeper state

## ◆ isMuted()

boolean hmi::InternalBeeper::isMuted | ( |  | ) |

Check whether beeper is currently muted.

Returns
  `true` if muted, `false` if not

## ◆ mute()

void hmi::InternalBeeper::mute | ( | in boolean | muted | ) |

Mute beeper, turn off all internal alarm notifications.

Parameters

  mute | `true` to mute beeper, `false` for normal mode

## ◆ muteCurrentActivation()

void hmi::InternalBeeper::muteCurrentActivation | ( |  | ) |

Mute the beeper for the current activation.

If the beeper is currently on, it will be turned off until another call to the `activate` method or until a new internal notification happens.

The documentation for this interface was generated from the following file:

- InternalBeeper.idl